| OpenCV 4.3.0 Open Source Computer Vision

Namespaces | Classes | Functions
cv::gapi::own Namespace Reference

## Namespaces
| detail

## Classes
class | Mat
class | Point
class | Rect
class | Scalar
class | Size

## Functions
double | ceild (double x)
GMatDesc | descr_of (const Mat &mat)
cv::GMetaArgs | descrs_of (const std::vector< Mat > &vec)
double | floord (double x)
const Rect | operator & (const Rect &lhs, const Rect &rhs)
Rect & | operator &= (Rect &lhs, const Rect &rhs)
bool | operator!= (const Rect &lhs, const Rect &rhs)
bool | operator!= (const Size &lhs, const Size &rhs)
Size & | operator+= (Size &lhs, const Size &rhs)
std::ostream & | operator<< (std::ostream &o, const Rect &rect)
std::ostream & | operator<< (std::ostream &o, const Size &s)
bool | operator== (const Scalar &lhs, const Scalar &rhs)
bool | operator== (const Rect &lhs, const Rect &rhs)
bool | operator== (const Size &lhs, const Size &rhs)
double | rintd (double x)
double | roundd (double x)
template<typename DST , typename SRC >
static DST | saturate (SRC x)
template<typename DST , typename SRC , typename R >
static DST | saturate (SRC x, R round)
cv::Mat | to_ocv (Mat const &m)
cv::Mat | to_ocv (Mat &&)=delete

## Function Documentation

## ◆ ceild()

double cv::gapi::own::ceild | ( | double | x | ) |
| inline

## ◆ descr_of()

GMatDesc cv::gapi::own::descr_of | ( | const Mat & | mat | ) |

## ◆ descrs_of()

cv::GMetaArgs cv::gapi::own::descrs_of | ( | const std::vector< Mat > & | vec | ) |

## ◆ floord()

double cv::gapi::own::floord | ( | double | x | ) |
| inline

## ◆ operator &()

const Rect cv::gapi::own::operator& | ( | const Rect & | lhs,
|  | const Rect & | rhs
| ) |  |
| inline

## ◆ operator &=()

Rect& cv::gapi::own::operator&= | ( | Rect & | lhs,
|  | const Rect & | rhs
| ) |  |
| inline

## ◆ operator!=() [1/2]

bool cv::gapi::own::operator!= | ( | const Rect & | lhs,
|  | const Rect & | rhs
| ) |  |
| inline

## ◆ operator!=() [2/2]

bool cv::gapi::own::operator!= | ( | const Size & | lhs,
|  | const Size & | rhs
| ) |  |
| inline

## ◆ operator+=()

Size& cv::gapi::own::operator+= | ( | Size & | lhs,
|  | const Size & | rhs
| ) |  |
| inline

## ◆ operator<<() [1/2]

std::ostream& cv::gapi::own::operator<< | ( | std::ostream & | o,
|  | const Rect & | rect
| ) |  |
| inline

## ◆ operator<<() [2/2]

std::ostream& cv::gapi::own::operator<< | ( | std::ostream & | o,
|  | const Size & | s
| ) |  |
| inline

## ◆ operator==() [1/3]

bool cv::gapi::own::operator== | ( | const Scalar & | lhs,
|  | const Scalar & | rhs
| ) |  |
| inline

## ◆ operator==() [2/3]

bool cv::gapi::own::operator== | ( | const Rect & | lhs,
|  | const Rect & | rhs
| ) |  |
| inline

## ◆ operator==() [3/3]

bool cv::gapi::own::operator== | ( | const Size & | lhs,
|  | const Size & | rhs
| ) |  |
| inline

## ◆ rintd()

double cv::gapi::own::rintd | ( | double | x | ) |
| inline

## ◆ roundd()

double cv::gapi::own::roundd | ( | double | x | ) |
| inline

## ◆ saturate() [1/2]

template<typename DST , typename SRC >

static DST cv::gapi::own::saturate | ( | SRC | x | ) |
| inline static

## ◆ saturate() [2/2]

template<typename DST , typename SRC , typename R >

static DST cv::gapi::own::saturate | ( | SRC | x,
|  | R | round
| ) |  |
| inline static

## ◆ to_ocv() [1/2]

cv::Mat cv::gapi::own::to_ocv | ( | Mat const & | m | ) |
| inline

## ◆ to_ocv() [2/2]

cv::Mat cv::gapi::own::to_ocv | ( | Mat && |  | ) |
| delete